<?php 
extract($_POST);
include_once dirname( __DIR__ ) . '/Model/db.php';
include_once dirname( __DIR__ ) . '/Model/Buscar.php';
include_once dirname( __DIR__ ) . '/add/funciones.php';

$periodo = periodo($mes,$anio);

$buscar = new Buscar();
$buscar->setFechaCargoInicial($periodo['finicial']);
$buscar->setFechaCargoFinal($periodo['ffinal']);
$buscar->setEjecutivo($inputEjecutivo);


$resp = $buscar->obtieneDatosSubMedios();
$array = groupArray($resp,'submedio');

foreach($array as $resp){
$response[] = array('tipo'=>$resp['submedio'] == 0 
                                ? 'SIN ESPECIFICAR' 
								: $buscar->getSubMedio($resp['submedio'])['subcanal'] == null ? 'SIN SUBMEDIO' : $buscar->getSubMedio($resp['submedio'])['subcanal'], 
					'total'=>count($resp['groupeddata'])
					);
}
echo json_encode($response);

?>